cURL
curl -X GET "https://api.fitsociety.io/public/v1/bookings" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"bookings": [
{
"bookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"attendanceStatus": "active",
"client": {
"name": "Example name"
},
"event": {
"name": "Example name",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z"
}
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Bookings
List bookings
Requires bookings:read. Requires a max 92-day date range. limit is capped at 50.
GET
/
public
/
v1
/
bookings
cURL
curl -X GET "https://api.fitsociety.io/public/v1/bookings" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"bookings": [
{
"bookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"attendanceStatus": "active",
"client": {
"name": "Example name"
},
"event": {
"name": "Example name",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z"
}
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Query Parameters
Required range:
x >= 1Required range:
x >= 1